Make PlayStation 5 Bakcwards Compatible When It Get's Announced With PS1-PS4 Game DIscs

0 have signed. Let’s get to 100!


The Reason for This Petition

A lot of people  who grew up with PlayStation and Sony like myself are upset that the PlayStation 4 is not backwards compatible with PlayStation 1, PlayStation 2, and PlayStation 3 games disc based cause a lot of people think SONY is greedy and doesn't think about what a lot of people want. When the PlayStation 2 came out you could play most of your PlayStation 1 games disc based. When PlayStation 3 came out in the beginning you could play PlayStation 2 games disc based but on most models of the PlayStation 3 you can't. But every PlayStation 3 could let you play PlayStation 1 games disc based. We want the games to be upscaled to 2160p 4K Resolution. I am worried that if Sony doesn't give us backwards compatibility they will go out of business in like 20 years or so because backwards compatibility is what will make them more money.

The Solution for This Petition

We need millions of signatures so that Sony can understand lots of people want backwards compatibility with PlayStation 1 - PlayStation 4 games on PlayStation 5 Disc based when PlayStation 5 get's announced because lots of people including my friends care about backwards compatibility cause most PlayStation 1 - PlayStation 4 games won't be available for download because a bunch of companies who made a lot of our favorite games aren't in business anymore.

The Reason I Care About This Petition

Because I love the old games better than the new games because When A lot of people including me had a PlayStation 2 we could play our PlayStation 1 games on it. I am worried they will go out of business in 20 or so years.



Today: Jeffrey is counting on you

Jeffrey Orlando needs your help with “SONY: Make PlayStation 5 Bakcwards Compatible When It Get's Announced With PS1-PS4 Game DIscs”. Join Jeffrey and 35 supporters today.